Last Comment Bug 300226 - crash on exit when using gtk 2.7
: crash on exit when using gtk 2.7
Status: RESOLVED FIXED
: fixed-aviary1.0.8, fixed1.7.13, fixed1.8
Product: Core
Classification: Components
Component: Widget: Gtk (show other bugs)
: Trunk
: x86 Linux
: -- critical (vote)
: ---
Assigned To: Christian Persch (GNOME) (away; not receiving bug mail)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-09 16:25 PDT by Christian Persch (GNOME) (away; not receiving bug mail)
Modified: 2006-02-10 00:02 PST (History)
4 users (show)
dveditz: blocking1.7.13+
dveditz: blocking‑aviary1.0.8+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
unset the gdk window user data before destroying them (1011 bytes, patch)
2005-07-09 16:26 PDT, Christian Persch (GNOME) (away; not receiving bug mail)
mpgritti: review+
roc: superreview+
dveditz: approval‑aviary1.0.8+
dveditz: approval1.7.13+
asa: approval1.8b4+
Details | Diff | Splinter Review

Description Christian Persch (GNOME) (away; not receiving bug mail) 2005-07-09 16:25:06 PDT
Sometimes when shutting down firefox running with gtk 2.7, it crashes.

Trace:
#0  0xb77a561f in IA__g_type_check_instance_is_a (type_instance=0xdadadada,
iface_type=135686288) at gtype.c:3127
#1  0xb7bb1481 in IA__gtk_widget_get_toplevel (widget=0x8259840) at gtkwidget.c:6037
#2  0xb7abacc2 in gtk_main_get_window_group (widget=Variable "widget" is not
available.) at gtkmain.c:1462
#3  0xb7abae1f in IA__gtk_main_do_event (event=0x82d91c0) at gtkmain.c:1286
#4  0xb79451da in gdk_event_dispatch (source=0xdadadada, callback=0,
user_data=0x0) at gdkevents-x11.c:2265
[...]

The trace is very similar to the one from 
http://bugzilla.gnome.org/show_bug.cgi?id=309505 and the fix should be simple;
I'm going to attach a patch.
Comment 1 Christian Persch (GNOME) (away; not receiving bug mail) 2005-07-09 16:26:12 PDT
Created attachment 188798 [details] [diff] [review]
unset the gdk window user data before destroying them
Comment 2 Christian Persch (GNOME) (away; not receiving bug mail) 2005-08-03 11:13:57 PDT
Comment on attachment 188798 [details] [diff] [review]
unset the gdk window user data before destroying them

Switching sr request to roc. I hope you don't mind :)
Comment 3 Mickey Stein 2005-08-03 19:43:21 PDT
I've been having a similar stack trace from a bug (described here in
bugzilla.fedora -- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=163692),
that occurs most often in dialog boxes when clicking on random button.

An example: 'Bookmark this page' and when in the dialog, click on cancel, repeat
10 times, and you won't make it to 10 (or I and some others don't). 

It was claimed that a cairo patch fixed this but I think the patch in this
bugzilla report is the answer. 

Have you noticed any other spurious button clicking crashes (other than the
shutting down crash)? 

Thanks much,

Mick
Comment 4 Christian Persch (GNOME) (away; not receiving bug mail) 2005-08-08 03:08:37 PDT
Comment on attachment 188798 [details] [diff] [review]
unset the gdk window user data before destroying them

Fixes a crash when running under gtk+ 2.7; no risk.
Comment 5 Christian Persch (GNOME) (away; not receiving bug mail) 2005-08-08 12:51:45 PDT
Comment on attachment 188798 [details] [diff] [review]
unset the gdk window user data before destroying them

Fixes a crash with gtk+ 2.7, no risk. Since many distributions will probably
ship ff 1.0.x with gtk+ 2.8 soon, should also land on branches.
Comment 6 David Baron :dbaron: ⌚️UTC-10 2005-08-08 13:14:30 PDT
Our dot-releases are generally for security fixes and regressions from security
fixes.  We've also been getting strong criticism lately from Linux distributors
for taking non-security fixes in our security releases (even though that's been
extremely rare in releases other than 1.7.5).  So this probably doesn't meet our
criteria for branches.
Comment 7 Christopher Aillon (sabbatical, not receiving bugmail) 2005-08-09 11:45:15 PDT
I disagree.  The complaint is not that non-security fixes are shipped, its that
the security fixes aren't pointed out individually so they can be individually
patched (by vendors who can't/won't bump version numbers).  Ship things like
this which make sense in a release, but include a note that this was shipped,
and include notes along the lines of "these security bugs were fixed, here are
patches.  Use these patches if you just want security fixes.  If you want the
other fixes, get the full release".
Comment 8 Wolfgang Rosenauer [:wolfiR] 2005-08-21 10:56:35 PDT
just for completeness: the patch has already been checked in for trunk/1.8.
And I would vote for adding it also in the older branches because there is still
no newer released firefox/mozilla. So the patch would be needed for current
distributions anyway. I agree with caillon here.
Comment 9 Boris Zbarsky [:bz] (still a bit busy) 2005-10-31 19:35:45 PST
Fixed on trunk...
Comment 10 Daniel Veditz [:dveditz] 2006-02-02 14:59:04 PST
Comment on attachment 188798 [details] [diff] [review]
unset the gdk window user data before destroying them

a=dveditz for drivers
Comment 11 timeless 2006-02-10 00:02:28 PST
Comment on attachment 188798 [details] [diff] [review]
unset the gdk window user data before destroying them

mozilla/widget/src/gtk2/mozdrawingarea.c 	1.9.84.1 	MOZILLA_1_7_BRANCH
mozilla/widget/src/gtk2/mozdrawingarea.c 	1.9.98.1 	AVIARY_1_0_1_20050124_BRANCH

Note You need to log in before you can comment on or make changes to this bug.